Page MenuHomePhabricator

efl: make sure that the expected lifecycle of the children of Efl.Model is well described.
ClosedPublic

Authored by cedric on Feb 1 2019, 4:00 AM.

Diff Detail

Repository
rEFL core/efl
Branch
T7528-devs/cedric/child_noref
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 9618
cedric created this revision.Feb 1 2019, 4:00 AM

For people not familiar with Futures, it might be worth adding a link to some of the future methods, which will (hopefully) contain more information.
For instance, what does it mean "when the future is done"? Resolved? Cancelled? Rejected? I would add something like (See @eina_promise_resolve) to clarify.
However, I do not know how to add links to Eina methods since they are not declared in any EO file :/

cedric updated this revision to Diff 19234.Feb 7 2019, 1:56 AM

Rebase.

For people not familiar with Futures, it might be worth adding a link to some of the future methods, which will (hopefully) contain more information.
For instance, what does it mean "when the future is done"? Resolved? Cancelled? Rejected? I would add something like (See @eina_promise_resolve) to clarify.
However, I do not know how to add links to Eina methods since they are not declared in any EO file :/

The problem is that Eina is not to be exposed in a binding, but to be matched to the standard library of the bound language. I do not know how we can document that better here. I can't even really link to a tutorial on future for the same reason, as they are language dependent. Any suggestion?

segfaultxavi accepted this revision.Feb 12 2019, 2:23 AM
segfaultxavi added a subscriber: lauromoura.

I see. A complex problem indeed.

I now see the future you are talking about is the return value of the method (Phab was not showing it so I missed it), so hopefully the docs will contain a reference to whatever type the Eina.Future has been converted to.

Right now, for C#, I don't think there's any native treatment of futures, they are Eina.Future and they appear in the docs. Is there any plan in this regard, @lauromoura ?

This revision is now accepted and ready to land.Feb 12 2019, 2:23 AM
This revision was automatically updated to reflect the committed changes.